use crate::{auth::Permissions, AppState};
use axum::{extract::State, http::StatusCode, routing::get, Router};

pub mod auth;
pub mod member;
pub mod user;

pub fn routes() -> Router<AppState> {
    Router::new()
        .route("/", get(root))
        // .route("/member/:id", get())
        .merge(member::routes())
        .merge(auth::routes())
}

async fn root(
    State(_state): State<AppState>,
    permissions: Permissions<'_>,
) -> Result<String, (StatusCode, String)> {
    tracing::info!("{:?}", permissions);

    Ok("Hello world".to_string())
}
