use axum::{extract::State, routing::post, Router};

use crate::{auth::Permissions, AppState};

pub mod migrate;

pub fn routes() -> Router<AppState> {
    Router::new()
        .route("/members/migrate_request", post(migrate::migrate_request))
        .route("/members/migrate_confirm", post(migrate::migrate_confirm))
}

pub async fn get_members<'a>(
    State(state): State<AppState>,
    permissions: Permissions<'a>,
    body: String,
) -> Result<(), crate::Error> {
    Ok(())
}
